#-----------------------------------------------------------------------------
# Name:        __init__.py
# Purpose:
#
# Author:      Song Huang
#
# Created:     2004/09/07
# Copyright:   (c) 2004 ossacc.org
# Licence:     GPL
#-----------------------------------------------------------------------------

from Products.CMFCore import utils
import SubSitePetitionTool
import Globals

import sys
this_module = sys.modules[ __name__ ]

tools = ( SubSitePetitionTool.SubSitePetitionTool,
          )

z_tool_bases = utils.initializeBasesPhase1( tools, this_module )
subsitepetition_globals = globals()

misc_ = {'r_arrow.gif': Globals.ImageFile('www/r_arrow.gif',subsitepetition_globals)}


def initialize( context ):
    utils.initializeBasesPhase2( z_tool_bases, context )
    utils.ToolInit( 'CMF SubSitePetition Tool',
                    tools = tools,
                    product_name = 'SubSitePetitionTool',
                    icon='www/tool.gif'
                    ).initialize( context )

    context.registerClass(
        SubSitePetitionTool.SubSitePetitionTool,
        meta_type="CMFSubSitePetitionTool",
        constructors=(SubSitePetitionTool.addSubSitePetitionTool,),
        icon = 'www/tool.gif')         #Visibility was added recently, so may be a problem

##############################################################
# register the directories
from Products.CMFCore.DirectoryView import registerDirectory
registerDirectory('skins', globals())
